<?php
session_start();

$your_code    = filter_var($_GET['cod'],     FILTER_SANITIZE_STRING);

// $captcha = strtoupper($_SESSION['captcha']);                  version con las letras corridas a la izquierda

$code = (string)  $_SESSION['captcha']['code'];
$captcha = strtoupper( $code );            // version simple captcha


if (strtoupper($your_code) == $captcha ){

  echo "1"; //El codigo ingresado coincide
  
} else {

  echo "0"; //El codigo ingresado no coincide
  
}
